package cn.ey.biz.module.system.convert.i18n;

import cn.ey.biz.common.pojo.PageResult;
import cn.ey.biz.module.system.controller.admin.i18n.vo.I18nCreateReqVO;
import cn.ey.biz.module.system.controller.admin.i18n.vo.I18nExcelVO;
import cn.ey.biz.module.system.controller.admin.i18n.vo.I18nRespVO;
import cn.ey.biz.module.system.controller.admin.i18n.vo.I18nUpdateReqVO;
import cn.ey.biz.module.system.dal.dataobject.i18n.I18nDictDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 字典多语言 Convert
 */
@Mapper
public interface I18nDictConvert {

    I18nDictConvert INSTANCE = Mappers.getMapper(I18nDictConvert.class);

    I18nDictDO convert(I18nCreateReqVO bean);

    I18nDictDO convert(I18nUpdateReqVO bean);

    I18nRespVO convert(I18nDictDO bean);

    List<I18nRespVO> convertList(List<I18nDictDO> list);

    PageResult<I18nRespVO> convertPage(PageResult<I18nRespVO> page);

    List<I18nExcelVO> convertList02(List<I18nDictDO> list);

}
